API version: unstable
API version: 2021-07 Release candidate
API version: 2021-04 Latest
API version: 2021-01
API version: 2020-10
API version: 2020-07
API version: 2020-04
API version: 2020-01 Unsupported
API version: 2019-10 Unsupported

PaymentProviderCredentialInput input object

Version unstable

The fields used to set the credentials for a payment provider.

Input fields

  • index (Int!) Required

    Credential index.

  • value (String!) Required

    Credential value. Note that sensitive credentials are returned null.

Version 2021-07 (Release candidate)

The fields used to set the credentials for a payment provider.

Input fields

  • index (Int!) Required

    Credential index.

  • value (String!) Required

    Credential value. Note that sensitive credentials are returned null.

Version 2021-04 (Latest)

The fields used to set the credentials for a payment provider.

Input fields

  • index (Int!) Required

    Credential index.

  • value (String!) Required

    Credential value. Note that sensitive credentials are returned null.

Version 2021-01

The fields used to set the credentials for a payment provider.

Input fields

  • index (Int!) Required

    Credential index.

  • value (String!) Required

    Credential value. Note that sensitive credentials are returned null.

Version 2020-10

The fields used to set the credentials for a payment provider.

Input fields

  • index (Int!) Required

    Credential index.

  • value (String!) Required

    Credential value. Note that sensitive credentials are returned null.

Version 2020-07

The fields used to set the credentials for a payment provider.

Input fields

  • index (Int!) Required

    Credential index.

  • value (String!) Required

    Credential value. Note that sensitive credentials are returned null.

Version 2020-04

The fields used to set the credentials for a payment provider.

Input fields

  • index (Int!) Required

    Credential index.

  • value (String!) Required

    Credential value. Note that sensitive credentials are returned null.

Version 2020-01 (Unsupported)

The fields used to set the credentials for a payment provider.

Input fields

  • index (Int!) Required

    Credential index.

  • value (String!) Required

    Credential value. Note that sensitive credentials are returned null.

Version 2019-10 (Unsupported)

The fields used to set the credentials for a payment provider.

Input fields

  • index (Int!) Required

    Credential index.

  • value (String!) Required

    Credential value. Note that sensitive credentials are returned null.

Version 2019-07 (Unsupported)

The fields used to set the credentials for a payment provider.

Input fields

  • index (Int!) Required

    Credential index.

  • value (String!) Required

    Credential value. Note that sensitive credentials are returned null.

Version 2019-04 (Unsupported)

The fields used to set the credentials for a payment provider.

Input fields

  • index (Int!) Required

    Credential index.

  • value (String!) Required

    Credential value. Note that sensitive credentials are returned null.